#include "deltatime.h"

struct timespec deltaTimeX1, deltaTimeX2;

#include <time.h>

double getDeltaTime() {
    clock_gettime(CLOCK_MONOTONIC, &deltaTimeX2);
    double dt = (deltaTimeX2.tv_sec - deltaTimeX1.tv_sec) + (deltaTimeX2.tv_nsec - deltaTimeX1.tv_nsec) / 1e9;
    deltaTimeX1 = deltaTimeX2;

    return dt;
}
